// MyAppView.cpp : implementation of the CMyAppView class
//

#include "stdafx.h"
#include "MyApp.h"

#include "MyAppDoc.h"
#include "MyAppView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyAppView

IMPLEMENT_DYNCREATE(CMyAppView, CScrollView)

BEGIN_MESSAGE_MAP(CMyAppView, CScrollView)
	//{{AFX_MSG_MAP(CMyAppView)
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CScrollView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyAppView construction/destruction

CMyAppView::CMyAppView()
{
	// TODO: add construction code here

}

CMyAppView::~CMyAppView()
{
}

BOOL CMyAppView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CScrollView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMyAppView drawing

void CMyAppView::OnDraw(CDC* pDC)
{
	CMyAppDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	CSize TextSize = pDC->GetTextExtent(pDoc->m_string); 
	CRect rect(10,10, 10+TextSize.cx,10+TextSize.cy); 
	rect.InflateRect(4,4);

    pDC->Rectangle(&rect); 
	pDC->TextOut(10,10,pDoc->m_string);
}

void CMyAppView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize sizeTotal;
	// TODO: calculate the total size of this view
	sizeTotal.cx = sizeTotal.cy = 100;
	SetScrollSizes(MM_TEXT, sizeTotal);
}

/////////////////////////////////////////////////////////////////////////////
// CMyAppView printing

BOOL CMyAppView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMyAppView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CMyAppView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CMyAppView diagnostics

#ifdef _DEBUG
void CMyAppView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CMyAppView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CMyAppDoc* CMyAppView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMyAppDoc)));
	return (CMyAppDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyAppView message handlers

void CMyAppView::OnLButtonDown(UINT nFlags, CPoint point) 
{
	AfxMessageBox("   ");
	CScrollView::OnLButtonDown(nFlags, point);
}
